<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>BugzillaAdaptor</groupId>
	<artifactId>BugzillaAdaptor</artifactId>
	<version>1.0.0-SNAPSHOT</version>
	<packaging>war</packaging>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>
	<dependencies>
		<dependency>
			<groupId>org.eclipse.lyo.oslc4j.core</groupId>
			<artifactId>oslc4j-core</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.lyo.oslc4j.core</groupId>
			<artifactId>oslc4j-jena-provider</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.lyo.oslc4j.core</groupId>
			<artifactId>oslc4j-wink</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.lyo.oslc4j.core</groupId>
			<artifactId>oslc4j-json4j-provider</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>jstl</artifactId>
			<version>1.2</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>3.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.ebaysf.web</groupId>
			<artifactId>cors-filter</artifactId>
			<version>1.0.1</version>
		</dependency>
		<dependency>
			<groupId>net.oauth.core</groupId>
			<artifactId>oauth</artifactId>
			<version>20100527</version>
		</dependency>
		<dependency>
			<groupId>com.j2bugzilla</groupId>
			<artifactId>j2bugzilla</artifactId>
			<version>2.2.1</version>
		</dependency>
		<dependency>
			<groupId>net.oauth.core</groupId>
			<artifactId>oauth-provider</artifactId>
			<version>20100527</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.lyo.server</groupId>
			<artifactId>oauth-core</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.lyo.server</groupId>
			<artifactId>oauth-consumer-store</artifactId>
			<version>2.0.0</version>
		</dependency>
		<dependency>
			<groupId>org.eclipse.lyo.server</groupId>
			<artifactId>oauth-webapp</artifactId>
			<version>2.0.0</version>
			<type>war</type>
		</dependency>
	</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.apache.tomcat.maven</groupId>
				<artifactId>tomcat7-maven-plugin</artifactId>
				<version>2.2</version>
				<configuration>
					<url>http://git.md.kth.se:8081/manager/text</url>
					<server>kth-tomcat</server>
					<path>/bugz</path>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.mortbay.jetty</groupId>
				<artifactId>jetty-maven-plugin</artifactId>
				<version>8.1.16.v20140903</version>
				<configuration>
					<webAppConfig>
						<contextPath>/BugzillaAdaptor</contextPath>
					</webAppConfig>
					<reload>automatic</reload>
					<scanIntervalSeconds>5</scanIntervalSeconds>
					<systemProperties>
						<systemProperty>
							<name>config.dir</name>
							<value>${basedir}/src/test/resources</value>
						</systemProperty>
						<systemProperty>
							<name>jetty.logs</name>
							<value>${basedir}/target</value>
						</systemProperty>
						<systemProperty>
							<name>jetty.port</name>
							<value>8080</value>
						</systemProperty>
					</systemProperties>
				</configuration>
			</plugin>
			<plugin>
				<artifactId>maven-compiler-plugin</artifactId>
				<version>3.1</version>
				<configuration>
					<source>1.8</source>
					<target>1.8</target>
				</configuration>
			</plugin>
		</plugins>
	</build>
	<repositories>
		<repository>
			<id>lyo-releases</id>
			<name>lyo-releases repository</name>
			<url>https://repo.eclipse.org/content/repositories/lyo-releases/</url>
		</repository>
	</repositories>
</project>